/**
 * @(#)CalCharacter.java    1.02  2000/02/11
 *
 * Copyright 2000 by yanone, All rights reserved.
 *
 * 쌠͎咣܂Apɓɐ͂܂BŒ񋟂Ă܂B
 * ̃\[X𗘗p邱Ƃɂ蔭AȂ鑹Qɂ҂͐ӔC𕉂Ȃ
 * ̂Ƃ܂B
 */

package jp.gr.java_conf.yanone.cal2000;

import java.util.Calendar;
import java.text.DateFormatSymbols;

/**
 * J_[Ɏg╶
 *
 * @version 1.02  2000/02/11
 * @author yanone
 */
public class CalCharacter{
	private DateFormatSymbols symbols = new DateFormatSymbols();
	public CalCharacter(){
	}
	public String[] getMonthNames(){
		String[] names = new String[12];
		System.arraycopy(symbols.getMonths(), 0, names, 0, names.length);
		return names;
	}
	public String[] getWeekdays(){
		String[] names = new String[7];
		System.arraycopy(symbols.getShortWeekdays(), 1, names, 0, names.length);
		return names;
	}
	public String[][] getNumberDays(int month){
		Calendar cal = Calendar.getInstance();
		cal.set(2000, month, 1);
		int weekday = cal.get(Calendar.DAY_OF_WEEK) - 1;
		int day = cal.getActualMaximum(Calendar.DAY_OF_MONTH);
		int row = (day + weekday -1)/7 + 1;
		int column = 7;
		String[][] dayStrs = new String[row][column];
		int j = 0;
		int k = weekday;
		for(int i = 1; i <= day; i++){
			dayStrs[j][k] = Integer.toString(i);
			k++;
			if(k >= column){
				j++;
				k = 0;
			}
		}
		for(j = 0; j < row; j++){
			for(k = 0; k < column; k++){
				if(dayStrs[j][k] == null) dayStrs[j][k] = "";
			}
		}
		return dayStrs;
	}
}
